Bug 138281 - cyrus-sasl should require the same db4 version
Summary: cyrus-sasl should require the same db4 version
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-sasl   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-07 11:17 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-10 12:06:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-11-07 11:17:40 UTC
Description of problem:
cyrus-sasl should require the same db4 version, even if cyrus-
sasl is linked against the internal unthreaded db4. After this we
would have the same (correct) requirement behaviour in this part
like the pam package.

Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.20-1

Actual results / Expected results:
The line 

  "Requires: db4 = %{db_version}"

in the spec file.

Comment 1 Nalin Dahyabhai 2005-09-09 15:17:30 UTC
Can you clarify your reasoning here?  The only tools which should be accessing
the sasldb are the sasldb plugin and the bundled command-line tools.  API
changes can make updating to a newer internalized version more complicated than
a drop-in.

Comment 2 Robert Scheck 2005-09-10 12:06:41 UTC
Oh Nalin...I opened this bug report nearly 1 year ago (!), IIRC at that time 
there was a good reason for it. At current, the bundled db4 has no requirements 
to an external db4, so the requirement isn't needed. I'll close this bug report 
now.


Note You need to log in before you can comment on or make changes to this bug.